slepc-3.10.1 2018-10-23
Report Typos and Errors

# NEPSolve

Solves the nonlinear eigensystem.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSolve(NEP nep)

Collective on NEP

### Input Parameter

| nep | - eigensolver context obtained from NEPCreate()

### Options Database Keys

| -nep_view | - print information about the solver used
| -nep_view_vectors binary | - save the computed eigenvectors to the default binary viewer
| -nep_view_values | - print computed eigenvalues
| -nep_converged_reason | - print reason for convergence, and number of iterations
| -nep_error_absolute | - print absolute errors of each eigenpair
| -nep_error_relative | - print relative errors of each eigenpair

### See Also

NEPCreate(), NEPSetUp(), NEPDestroy(), NEPSetTolerances()

Location: src/nep/interface/nepsolve.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/nep/examples/tutorials/ex20.c.html
src/nep/examples/tutorials/ex21.c.html
src/nep/examples/tutorials/ex22.c.html
src/nep/examples/tutorials/ex27.c.html
src/nep/examples/tutorials/ex20f90.F90.html
src/nep/examples/tutorials/ex22f90.F90.html
src/nep/examples/tutorials/ex27f90.F90.html
src/nep/examples/nlevp/loaded_string.c.html
src/nep/examples/nlevp/gun.c.html